Subject: Re: bug#72788: 30.0.50; multisession--ensure-db: Symbol’s function definition is void: sqlite-open [2 times]

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Aug 2024 16:01:36 +0300

> Date: Sat, 24 Aug 2024 11:54:49 +0300
> From: Jean Louis <[email-masked]>
> 
> Following bug does not appear from 'emacs -Q':

Then please show the minimal recipe to reproduce it, starting from
"emacs -Q".

> When I press C-x 8 e s to search for emoji, and then for example I
> choose "mobile phone", when I press RET, then I get this error:
> 
> multisession--ensure-db: Symbol’s function definition is void: sqlite-open
> 
> I am not using function 'sqlite-open' and I do not see why should I get
> this error, I did not have it before.

I cannot reproduce this.  If you cannot show a reproduction recipe,
please show the Lisp backtrace from this error (by setting
debug-on-error non-nil), then we could try to figure out why this
happened to you.

Thanks.